/*==========================================================================
  HERO
===========================================================================*/
$hero-padding-top: 140px;
$hero-height: 715px;

$hero-content-width: 400px;

$hero-color: $color-white;

.hero {
  position: relative;
  z-index: 2;

  > .container {
    position: relative;
  }
}

.hero__wrapper {
  position: relative;
  background-color: $color-secondary;
}

.hero__form-wrapper {
  position: absolute;
  top: $hero-padding-top + 10px;
  right: calc((100% - 1200px) / 2 + 150px);
  z-index: 2;
  width: 391px;

  @include mq("desktop", "max") {
    top: 158px;
    right: 15px;
  }

  @include mq("laptop", "max") {
    position: relative;
    top: 0;
    right: 0;
    left: 0;
    width: 100%;
    background-color: $color-primary;
  }
}

.hero__form {

  @include mq("laptop", "max") {
    max-width: 400px;
    margin: 0 auto;
    padding: 40px 30px;
  }
}

.js-hero {

  &:hover {

    .slick-arrow {
      opacity: 1;
      transition: .3s;
    }
  }

  .slick-arrow {
    opacity: 0;
    transition: .3s;

    @media screen and (max-width: 1365px){
      display: none !important;
    }
  }
}

.slick-initialized .hero__item {
  display: flex;
}

.hero__item {
  position: relative;
  display: flex;
  align-items: center;
  height: $hero-height;
  background-size: cover;
  background-position: center center;
  background-repeat: no-repeat;

  @include mq("desktop", "max") {
    height: 685px;
  }

  @include mq("laptop", "max") {
    height: 470px;
    padding-bottom: 30px;
  }

  @include mq("tablet", "max") {
    height: 370px;
    padding-left: 10px;
    padding-right: 10px;
  }

  &::before {
    content: '';
    display: block;
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: $color-secondary-dark;
    opacity: 0.73;
  }

  &.slick-current {

    @include mq("tablet") {

      .hero__title {
        animation:  animatOpacityTop .7s cubic-bezier(.215, .61, .355, 1);
      }

      .hero__content {
        p {
          animation:  animatOpacityTop 1.2s cubic-bezier(.215, .61, .355, 1);
        }
        .btn {
          animation:  animatOpacityTop 1.5s cubic-bezier(.215, .61, .355, 1);
        }
      }
    }
  }
}

@keyframes animatOpacityTop {
  0% {
    opacity: 0;
    transform: translateY(50px)
  }

  100% {
    opacity: 1;
    transform: translateY(0)
  }
}

.hero__content {
  position: relative;
  z-index: 2;
  max-width: $hero-content-width;

  @include mq("laptop", "max") {
    margin-left: auto;
    margin-right: auto;
    text-align: center;
    max-width: 470px;
  }

  p {
    color: $hero-color;
  }
}

.hero__title {
  margin: 0;
  color: $hero-color;
  line-height: 1.2;

  @include mq("laptop", "max") {
    font-size: 30px;
  }

  @include mq("tablet", "max") {
    font-size: $font-size-h1-phone;
  }
}

.js-hero-thumbnails {

  .slick-track {
    transform: none !important;
  }
  
  @include mq("tablet", "max") {
    display: none;
  }
}

.hero-thumbnails {
  position: absolute;
  z-index: 2;
  bottom: 0;
  left: 0;
  right: 0;
  margin-left: auto;
  margin-right: auto;
  max-width: 1200px;
}

.hero-thumbnails__item {
  padding-left: 9px;
  padding-right: 9px;
  cursor: pointer;

  &.slick-current {

    .hero-thumbnails__content {

      &::before {
        transform: translateX(0%);
        animation: loadingTrubnail 6s ease;
      }
    }
  }
}

@keyframes loadingTrubnail {
  0% {
    transform: translateX(-100%);
  }

  100% {
    transform: translateX(0%);
  }
}

.hero-thumbnails__content {
  position: relative;
  display: flex;
  align-items: center;
  justify-content: flex-start;
  padding-left: 25px;
  padding-right: 25px;
  color: $hero-color;
  height: 136px;
  background-color: $color-secondary;
  background-image: url('../images/service-thumb-bg.png');
  background-repeat: no-repeat;
  background-position: left center;
  background-size: 51px 100%;
  overflow: hidden;

  @include mq("desktop", "max") {
    height: 110px;
  }

  @include mq("laptop", "max") {
    height: 90px;
    padding-left: 15px;
    padding-right: 15px;
  }

  &::before {
    content: '';
    display: block;
    position: absolute;
    left: 0;
    top: 0;
    width: 100%;
    height: 1px;
    background-color: $color-primary;
    will-change: transform;
    transform: translateX(-100%);
  }

  .icon {
    flex-shrink: 0;
    opacity: .6;

    &.icon-car {
      width: 56px;
      height: 31px;

      @include mq("desktop", "max") {
        width: 46px;
        height: 25px;
      }
    }

    &.icon-train {
      width: 59px;
      height: 55px;

      @include mq("desktop", "max") {
        width: 39px;
        height: 45px;
      }
    }

    &.icon-ship {
      width: 55px;
      height: 33px;

      @include mq("desktop", "max") {
        width: 45px;
        height: 30px;
      }
    }

    &.icon-spec {
      width: 56px;
      height: 36px;


      @include mq("desktop", "max") {
        width: 46px;
        height: 30px;
      }
    }
  }
}

.hero-thumbnails__title {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  justify-content: center;
  padding-left: 20px;

  @include mq("laptop", "max") {
    padding-left: 10px;
    font-size: $font-size-primary-smaller;
  }

  span {

    &:first-child {
      color: $color-primary;
    }
  }
}

/* end hero */